package dev.fitko.fitconnect.api.domain.model.event.problems.submission;

import dev.fitko.fitconnect.api.domain.model.event.problems.Problem;

public class NotExactlyOneSubmitEvent extends Problem {

    private static final String TYPE = SCHEMA_URL + "invalid-event-log";
    private static final String TITLE = "Inconsistent Event-Log";
    private static final String DETAIL = "The Event-Log is inconsistent because it does not contain exactly one 'submit' event.";
    private static final String INSTANCE = "submission";

    public NotExactlyOneSubmitEvent() {
        super(TYPE, TITLE, DETAIL, INSTANCE);
    }

}
