package dev.fitko.fitconnect.api.domain.model.metadata;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import dev.fitko.fitconnect.api.domain.model.metadata.attachment.ApiAttachment;
import dev.fitko.fitconnect.api.domain.model.metadata.data.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

@lombok.Data
@NoArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ContentStructure {

    @JsonProperty("data")
    private Data data;

    @JsonProperty("attachments")
    private List<ApiAttachment> attachments = new ArrayList<>();
}
