package dev.fitko.fitconnect.api.domain.model.route;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.UUID;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class Route {

    @JsonProperty("destinationId")
    private UUID destinationId;

    @JsonProperty("destinationSignature")
    private String destinationSignature;

    @JsonProperty("destinationParameters")
    private RouteDestination destinationParameters;

    @JsonProperty("destinationParametersSignature")
    private String destinationParametersSignature;

    @JsonProperty("destinationName")
    private String destinationName;

    @JsonProperty("destinationLogo")
    private String destinationLogo;

}
