package dev.fitko.fitconnect.api.domain.subscriber;

import dev.fitko.fitconnect.api.domain.model.attachment.Attachment;
import dev.fitko.fitconnect.api.domain.model.event.Status;
import dev.fitko.fitconnect.api.domain.model.metadata.Metadata;
import dev.fitko.fitconnect.api.domain.model.submission.Submission;
import lombok.Value;

import java.util.List;
import java.util.Map;
import java.util.UUID;

@Value
public class ReceivedSubmissionData {
    String data;
    Metadata metadata;
    Submission submission;
    Status submissionStatus;
    List<Attachment> attachments;
    Map<UUID, String> encryptedAttachments;
}