package dev.fitko.fitconnect.api.domain.model.metadata.payment;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.net.URI;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class PaymentInformation {

    private URI transactionUrl;
    private String transactionId;
    private String transactionReference;
    private String transactionTimestamp;
    private PaymentMethod paymentMethod;
    private String paymentMethodDetail;
    private PaymentStatus status;
    private double grossAmount;
}
