package dev.fitko.fitconnect.api.domain.model.submission;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.UUID;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class SubmissionForPickup {

  @JsonProperty("destinationId")
  private UUID destinationId;

  @JsonProperty("submissionId")
  private UUID submissionId;

  @JsonProperty("caseId")
  private UUID caseId;

}

